pragma solidity >=0.6.12;

// Author:	Louis Holbrook <dev@holbrook.no> 0826EDA1702D1E87C6E2875121D2E7BB88C2A746
// SPDX-License-Identifier:	GPL-3.0-or-later
// File-version: 5

interface Faucet {
	event FaucetUsed(address indexed _recipient, address indexed _token, uint256 _value);
	event FaucetFail(address indexed _recipient, address indexed _token, uint256 _value);
	event FaucetAmountChange(uint256 _value);

	function token() external returns (address);
	function tokenAmount() external returns (uint256);
	function setAmount(uint256 _amount) external returns (bool);
	function giveTo(address _recipient) external returns (bool);
	function cooldown(address _recipient) external returns (uint256);
}
